function outVect = separateOutliers(inVect,thrsh)
%outVect = separateOutliers(inVect,thrsh)

tagVect = zeros(size(inVect));

for i = 1:length(inVect)
    diffVect = inVect - inVect(i);
    diffVect(abs(diffVect)<=thrsh) = 1;
    diffVect(abs(diffVect)>thrsh)  = 0;
    if sum(diffVect) >= 2
        tagVect(i) = 1;
    end
end

outVect = inVect(logical(tagVect));